## Create LookupTableRevision

### cURL

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "fields": [
    {
      "name": "lookuptablerevisionfieldkey"
    }
  ],
  "keys": [
    "foo",
    "bar"
  ],
  "version": 123,
  "customFields": {},
  "startDate": "2023-11-07T05:31:56Z"
}'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions"

payload = {
    "name": "<string>",
    "fields": [{ "name": "lookuptablerevisionfieldkey" }],
    "keys": ["foo", "bar"],
    "version": 123,
    "customFields": {},
    "startDate": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    fields: [{name: 'lookuptablerevisionfieldkey'}],
    keys: ['foo', 'bar'],
    version: 123,
    customFields: {},
    startDate: '2023-11-07T05:31:56Z'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'fields' => [
        [
                'name' => 'lookuptablerevisionfieldkey'
        ]
    ],
    'keys' => [
        'foo',
        'bar'
    ],
    'version' => 123,
    'customFields' => [],
    'startDate' => '2023-11-07T05:31:56Z'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"fields\": [\n    {\n      \"name\": \"lookuptablerevisionfieldkey\"\n    }\n  ],\n  \"keys\": [\n    \"foo\",\n    \"bar\"\n  ],\n  \"version\": 123,\n  \"customFields\": {},\n  \"startDate\": \"2023-11-07T05:31:56Z\"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Structure

```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "name": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "fields": [
    {
      "name": "lookuptablerevisionfieldkey"
    }
  ],
  "keys": [
    "<string>"
  ],
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "itemCount": 123,
  "lookupTableId": "<string>"
}
```

### Error Responses

```json
{
  "message": "<string>"
}
```

### Authorization

- `Authorization`: string, required, header, supports machine to machine authentication using OAuth2.
